RADIANS(3Cg)

NAME
radians - converts values of scalars and vectors from degrees to radians

SYNOPSIS
  float  radians(float  a);
  float1 radians(float1 a);
  float2 radians(float2 a);
  float3 radians(float3 a);
  float4 radians(float4 a);

  half   radians(half  a);
  half1  radians(half1 a);
  half2  radians(half2 a);
  half3  radians(half3 a);
  half4  radians(half4 a);

  fixed  radians(fixed  a);
  fixed1 radians(fixed1 a);
  fixed2 radians(fixed2 a);
  fixed3 radians(fixed3 a);
  fixed4 radians(fixed4 a);

PARAMETERS

a   Vector or scalar of which to convert from degrees to radians.

DESCRIPTION
Returns the scalar or vector converted from degrees to radians.

For vectors, the returned vector contains each element of the input vector converted from degrees to radians.

REFERENCE IMPLEMENTATION
radians for a float scalar could be implemented like this.

  float radians(float a)
  {
    return 0.017453292 * a;
  }

PROFILE SUPPORT
radians is supported in all profiles except fp20.

SEE ALSO
cos, degrees, sin, tan